Page MenuHomePhabricator

Change config to disable new mobile behavior on all wikis except beta
Closed, ResolvedPublic2 Story Points

Description

**Motivation**

The Reading and Mobile Web team will add a proper design for the presentation of moved paragraphs. Before that, we do not want to make the changes public in production.

Task

  • Don't show any paragraph moves on mobile in any environment but beta

Todo

  • Prepare config change
  • Claim SWAT deploy window in the week from May 21st - May 25th
  • SWAT deploy the change

Event Timeline

Lea_WMDE triaged this task as Normal priority.May 9 2018, 1:57 PM
Lea_WMDE created this task.
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptMay 9 2018, 1:57 PM
Tobi_WMDE_SW renamed this task from Change config to enable mobile behavior on beta only to Change config to disable new mobile behavior on all wikis except beta.May 16 2018, 10:43 AM
Tobi_WMDE_SW updated the task description. (Show Details)
Tobi_WMDE_SW set the point value for this task to 2.

Change 434158 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Disable wikidiff2 inline moved paragraphs by default

https://gerrit.wikimedia.org/r/434158

Change 434158 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable wikidiff2 inline moved paragraphs by default

https://gerrit.wikimedia.org/r/434158

Change 434692 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Disable wikidiff2 inline moved paragraphs on production

https://gerrit.wikimedia.org/r/434692

Mentioned in SAL (#wikimedia-operations) [2018-05-23T13:22:10Z] <zfilipin@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:434693|Revert "Disable wikidiff2 inline moved paragraphs by default" (T194271)]] (duration: 01m 19s)

Change 434692 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable wikidiff2 inline moved paragraphs on production

https://gerrit.wikimedia.org/r/434692

Mentioned in SAL (#wikimedia-operations) [2018-05-23T13:32:19Z] <zfilipin@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:434692|Disable wikidiff2 inline moved paragraphs on production (T194271)]] (duration: 01m 21s)

Change 434697 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Disable wikidiff2 inline moved paragraphs on production

https://gerrit.wikimedia.org/r/434697

Change 434697 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable wikidiff2 inline moved paragraphs on production

https://gerrit.wikimedia.org/r/434697

Mentioned in SAL (#wikimedia-operations) [2018-05-23T14:01:04Z] <zfilipin@tin> Synchronized wmf-config/CommonSettings.php: SWAT: [[gerrit:434697|Disable wikidiff2 inline moved paragraphs by default (T194271)]] (duration: 01m 18s)

So just a small writeup why so much stuff going on in this ticket:

The original patch https://gerrit.wikimedia.org/r/#/c/434158/4 made 2 changes in 2 files that depend on each other. Since recently this it not allowed in a SWAT deploy. So the patch got split up during SWAT with https://gerrit.wikimedia.org/r/#/c/434158/ being the first part and https://gerrit.wikimedia.org/r/#/c/434692/ the second.

So it seems the one part of the config change needed to happen before the other and we start off with the wrong one.

Thanks to the guys in the SWAT for handling all this :-)

Can this task be resolved? Sounds done to me.

Lea_WMDE closed this task as Resolved.Jun 16 2018, 8:02 AM
Vvjjkkii renamed this task from Change config to disable new mobile behavior on all wikis except beta to wadaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: Aklapper, gerritbot.
CommunityTechBot renamed this task from wadaaaaaaa to Change config to disable new mobile behavior on all wikis except beta.Jul 2 2018, 6:02 AM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: Aklapper, gerritbot.